# Retrieve an attachment Use the View Attachment REST request to retrieve information about an attachment document. You can only use this operation if you have a Billing role that includes the Manage Attachments permission. For more information, see Billing roles. To change your Billing role, contact your Zuora platform administrator. Endpoint: GET /v1/attachments/{attachment-id} Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Path parameters: - `attachment-id` (string, required) Id of the attachment you want to view. ## Response 200 fields (application/json): - `createdBy` (string) Zuora user id who added this attachment to the object. - `createdOn` (string) Date and time when the attachment was added to the object. - `description` (string) Description of the attachment. - `fileContentType` (string) File type. - `fileId` (string) File ID of the attached file. Use this file ID with [Get files](https://developer.zuora.com/api-references/api/operation/GET_Files) to download the file. - `fileName` (string) Attachment file name. - `id` (string) Id of this attachment. - `organizationLabel` (string) The organization that this object belongs to. Note: This field is available only when the Multi-Org feature is enabled. - `success` (boolean) Returns true if the request was processed successfully. - `updatedBy` (string) Zuora user id who last updated the attachment. - `updatedOn` (string) Date and time when the attachment was last updated. ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.